<?

 /*SCRIPT PARA MANTENIMIENTO DE CONTENIDOS DE UNIDADES ACADEMICAS */

 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/

  include("../fnc.php");

  enlinea_c();



  if(!$tipo_trn){

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



  switch($tipo_trn){

   case "Add":

//   if(!$txtnivel){alert("Debe ingresar un nombre para el nivel escolar","javascript:history.go(-1)");}

    $idunidad=dec($idu);

    $idgrado=dec($idg);

    $idcurso=dec($idc);

//    echo $idcurso;

    $qver=mysql_query("select * from contenidos where unidad = $idunidad and grado = $idgrado and curso = '$idcurso'");

    if(mysql_num_rows($qver)>0){

      $iver=mysql_fetch_array($qver);

      alert("El contenido de esta unidad ya existe","javascript:history.go(-1)");

    }

                $sql="insert into

                      contenidos

                      set grado = '$idgrado',

                      unidad='$idunidad',

                      curso='$idcurso',

                      competencia='$txtcompetencia',

                      actividad='$txtactividad',

                      evaluacion='$txtevaluacion',

                      contenido='$txtcontenido',

                      recurso = '$txtrecurso'";



                 $ins=mysql_query($sql);

                 if($ins){

                   $idg=base64_encode($idgrado);

                   header("Location: ./frm_contenido_sgrado.php?");

                 }else{

                   alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");

                 }

   break;



   case "Update":

    $idunidad=dec($idu);

    $idgrado=dec($idg);

    $idcurso=dec($idc);



    if(!$idu or !$idg){

      alert("Parámetros incorrectos","javascript:history.go(-1)");

    }



                $sql="update

                      contenidos set

                      competencia='$txtcompetencia',

                      actividad='$txtactividad',

                      evaluacion='$txtevaluacion',

                      contenido='$txtcontenido',

                      recurso = '$txtrecurso'

                      where

                      grado = '$idgrado' and

                      unidad='$idunidad' and

                      curso = '$idcurso'";



                 $qupd=mysql_query($sql);

                 if($qupd){

                   $idg=base64_encode(dec($idg));

                   header("Location: ./frm_grado_v2.php?idgrado=$idg");

                 }else{

                   alert("ERROR: Por favor intente de nuevo","javascript:history.go(-1)");

                 }

   break;



   default:

    alert("Parámetros incorrectos","javascript:history.go(-1)");

  }



?>